RC Lite API
API Description
Objective
The RC Lite API verifies and retrieves detailed information about a vehicle's RC (Registration Certificate) using the vehicle number.
| Input | Output |
|---|---|
| The Vehicle Number |
|
API URL
https://ind-engine.thomas.hyperverge.co/v1/rcLite
API Endpoint
rcLite
Overview
The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.
Authentication
You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.
| Parameter | Mandatory or Optional | Description | Allowed Values |
|---|---|---|---|
| content-type | Mandatory | This parameter defines the media type for the request payload | application/json |
| appId | Mandatory | The application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab. | This should be a unique value. |
| appKey | Mandatory | The application key shared by HyperVerge. You can find the details in the dashboard's credentials tab. | This should be a unique value. |
| transactionId | Mandatory | A unique identifier for tracking a Owner journey | This should be both unique and easily associated with the Owner's journey in your application(s) |
Inputs
| Parameter | Description | Mandatory or Optional | Allowed Values | Default Value |
|---|---|---|---|---|
Vehicle Number | The Vehicle Number ranging between 8 to 11 digits. For example: "KA05LE7925" | Mandatory | Not Applicable | Not Applicable |
Request
The following code shows a standard curl request for the API.
curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/rcLite' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"vehicleNumber": "<Enter_the_Vehicle_Number>"
}'
Success Response
The following code is a success response from the API.
{
"status": "success",
"statusCode": "200",
"result": {
"VehicleNum": "<Vehicle_Number>",
"ChasisNo": "<Chassis_Number>",
"OwnerName": "<Name_of_the_Owner>",
"Father": "<Name_of_Father>",
"OwnerNum": "<Owner_Number>",
"RegistDate": "<Registration_Date_in_DD-MM-YYYY_Format>",
"Rto": "<Regional_Transport_Office>",
"FuelType": "<Fuel_Type>",
"EngineNo": "<Engine_Number>",
"VehicleClass": "<Vehicle_Class>",
"CC": "<Cubic_Capacity>",
"Color": "<Vehicle_Color>",
"Weight": "<Vehicle_Weight>",
"PreviousInsurer": "<Name_of_Previous_Insurer>",
"InsuranceUpto": "<Insurance_Expiry_Date_in_DD-MM-YYYY_Format>",
"PreviousInsurerPolicyNo": "<Previous_Insurer_Policy_Number>",
"PresentAddress": "<Present_Address>",
"PermanentAddress": "<Permanent_Address>",
"PucNo": "<PUC_Number>",
"PucExpiry": "<PUC_Expiry_Date_in_DD-MM-YYYY_Format>",
"ManuDate": "<Manufacturing_Date_in_MM-YYYY_Format>",
"FitUpto": "<Fitness_Certificate_Expiry_Date_in_DD-MM-YYYY_Format>",
"WheelBase": "<Wheel_Base>",
"RCStatus": "<RC_Status>",
"BodyType": "<Body_Type>",
"SeatCap": "<Seating_Capacity>",
"NoCyl": "<Number_of_Cylinders>",
"Make": "<Vehicle_Make>",
"Model": "<Vehicle_Model>"
},
"metaData": {
"requestId": "<Request_ID>"
}
}
Success Response Details
| Parameter | Type | Description |
|---|---|---|
| status | string | The status of the API response |
| statusCode | integer | The HTTP status code of the response |
| VehicleNum | string | The registration number of the vehicle |
| ChasisNo | string | The chassis number of the vehicle |
| OwnerName | string | The name of the vehicle's owner |
| Father | string | The name of the owner's father |
| OwnerNum | string | The ownership number of the vehicle |
| RegistDate | string | The registration date of the vehicle |
| Rto | string | The Regional Transport Office (RTO) associated with the vehicle |
| FuelType | string | The type of fuel used by the vehicle |
| EngineNo | string | The engine number of the vehicle |
| VehicleClass | string | The class of the vehicle |
| CC | string | The cubic capacity of the vehicle |
| Color | string | The color of the vehicle |
| Weight | string | The weight of the vehicle |
| PreviousInsurer | string | The name of the previous insurance provider |
| InsuranceUpto | string | The expiration date of the previous insurance |
| PreviousInsurerPolicyNo | string | The policy number issued by the previous insurer |
| PresentAddress | string | The current address of the vehicle's owner |
| PermanentAddress | string | The permanent address of the vehicle's owner |
| PucNo | string | The Pollution Under Control (PUC) certificate number |
| PucExpiry | string | The expiration date of the PUC certificate |
| ManuDate | string | The manufacturing date of the vehicle |
| FitUpto | string | The validity date of the vehicle's fitness certificate |
| WheelBase | string | The wheelbase of the vehicle |
| RCStatus | string | The registration certificate status of the vehicle |
| BodyType | string | The body type of the vehicle |
| SeatCap | string | The seating capacity of the vehicle |
| NoCyl | string | The number of cylinders in the vehicle's engine |
| Make | string | The manufacturer of the vehicle |
| Model | string | The model of the vehicle |
| requestId | string | The unique request identifier for the API call |
Failure Response
The following is a response when no matching record is found against the input parameters
{
"statusCode": 404,
"status": "failure",
"error": "Data Not Found",
}
Error Response
The following are the error responses for the API.
- Input Validation Error
- Missing/Invalid Credentials
- Rate Limit Error
- Internal Server Error
- Issue with External Service
{
"message": "Input Validation Error: does not meet minimum length of 8",
"statusCode": 400,
"status": "failure"
}
{
"message": "Missing/Invalid credentials",
"statusCode": 401,
"status": "failure"
}
{
"statusCode": 429,
"status": "failure",
"error": "Too many requests"
}
{
"message": "Internal Server Error",
"statusCode": 500,
"status": "failure"
}
{
"statusCode": 504,
"status": "failure",
"error": "Issue with external service"
}
Failure and Error Response Details
A failure or error response from the module contains a
failure status, with a relevant status code and error message. The following table lists all error responses. | Status Code | Error Message | Error Description |
|---|---|---|
| 400 | Input Validation Error | The entered vehicle number does not meet the minimum length of 8 |
| 401 | Missing/Invalid credentials | The request is either missing the mandatory appId and appKey combination or has invalid values |
| 429 | Too many requests | You have exceeded the configured limit on the number of transactions permitted in a minute. Please contact the HyperVerge team for resolution |
| 500 | Internal Server Error | Please check the request headers or contact the HyperVerge team for resolution |
| 504 | Issue with External Service | The external service is not responding |